> For the complete documentation index, see [llms.txt](https://docs.3dolphins.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.3dolphins.ai/5.1.x/bot-settings/dialog-flows/json-body-response-for-3dolphins-srm-dialog-rest-integration.md).

# JSON Body Response for 3Dolphins SRM Dialog Rest Integration

**Response Sample**

```
{
“value”: {
“output”: “Data Customer Account 1234567y\nNama: Reja\nSetoran tiap bulan : Rp. 500,000\nJatuh tempo berikutnya : 15 Agustus 2018”
},
“next”: true,
“success”: true,
“repeat”: false,
“agent”: false
}
```

| Parameter | Value | Description                                 |
| --------- | ----- | ------------------------------------------- |
| Next      | True  | Dialog will continue to the next entity     |
| Success   | True  | Dialog will print success response          |
| Repeat    | True  | Dialog will repeat from the intention       |
| Agent     | True  | Ticket will transfer to the available agent |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.3dolphins.ai/5.1.x/bot-settings/dialog-flows/json-body-response-for-3dolphins-srm-dialog-rest-integration.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
